Skip to main content
GET
/
cleemy-procurement
/
api
/
natures
List Natures
curl --request GET \
  --url https://{host}/cleemy-procurement/api/natures \
  --header 'Authorization: <authorization>'
{
  "items": [
    {
      "id": 123,
      "name": "<string>",
      "costFamily": {
        "id": 123,
        "name": "<string>"
      },
      "state": "Enabled",
      "accountingPlans": [
        {
          "id": 123,
          "chargeAccount": "<string>"
        }
      ]
    }
  ],
  "prev": "<string>",
  "next": "<string>",
  "count": 1
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

fields.root
enum<string>[]

Include root collection fields (paging).

Available options:
prev,
next,
count
page

Page selection. Page tokens can be retrieved by adding ?fields.root=next,prev on your GET collections requests.

limit
integer

Page size.

Required range: 0 <= x <= 1000

Response

200 - application/json

OK

items
nature · object[]
required
prev
next
count
integer<int32>
Required range: x >= 0